aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xrun-all.sh3
-rwxr-xr-xscripts/tar-to-image.sh5
2 files changed, 5 insertions, 3 deletions
diff --git a/run-all.sh b/run-all.sh
index c045a41..e5957c0 100755
--- a/run-all.sh
+++ b/run-all.sh
@@ -6,7 +6,8 @@ case "$(hostname --short)" in
arm-b32 | cubietruck)
# rebuild images
# ./Fedora-rpi32.sh 29 || exit 1
- ./Fedora-efi-armv7.sh 29 || exit 1
+# ./Fedora-efi-armv7.sh 29 || exit 1
+ ./Fedora-efi-grub2.sh 29 || exit 1
;;
arm-b64)
# rebuild images
diff --git a/scripts/tar-to-image.sh b/scripts/tar-to-image.sh
index 0ad2532..e7e8a55 100755
--- a/scripts/tar-to-image.sh
+++ b/scripts/tar-to-image.sh
@@ -19,7 +19,7 @@ function msg() {
}
function do_cleanup() {
- msg "cleaning up ..."
+ msg "cleaning up"
if test "$GUESTFISH_PID" != ""; then
guestfish --remote -- exit >/dev/null 2>&1 || true
fi
@@ -160,6 +160,7 @@ function fish_init() {
}
function fish_fini() {
+ msg "finishing"
fish umount-all
fish exit
}
@@ -277,7 +278,7 @@ EOF
if test "$haveboot" = "true"; then
echo "### have ${uefi_boot_file}, good"
else
- grubefi=$(guestfish --remote -- ls /boot/efi/EFI/*/grub*.efi)
+ grubefi=$(guestfish --remote -- glob-expand /boot/efi/EFI/*/grub*.efi)
echo "### install ${grubefi} as ${uefi_boot_file}"
fish cp ${grubefi} /boot/efi/EFI/BOOT/${uefi_boot_file}
fi